<?php
namespace Folha\Entities\Base;


abstract class DesProcesso {
    
    
    /** @var string  */
    protected $cdoperinclusao = '1';
    /** @var string  */
    protected $cdoperultatu = '1';
    /** @var string  */
    protected $dscompetencias;
    /** @var string  */
    protected $dsdescricao;
    /** @var string  */
    protected $dsmotivo;
    /** @var \Datetime  */
    protected $dtinclusao;
    /** @var \Datetime  */
    protected $dtlimsolicita;
    /** @var \Datetime  */
    protected $dtsolicita;
    /** @var \Datetime  */
    protected $dtultatu;
    /** @var string  */
    protected $idpublicavaga;
    /** @var int  */
    protected $idstatus;
    /** @var string  */
    protected $nmprocesso;
    /** @var int  */
    protected $nrescalatrabm;
    /** @var int  */
    protected $nrorg;
    /** @var int  */
    protected $nrorginclusao = 1;
    /** @var int  */
    protected $nrorgultatu = 1;
    /** @var int  */
    protected $nrparcnegocioresp;
    /** @var int  */
    protected $nrparcnegociosolicita;
    /** @var int  */
    protected $nrprocesso;
    /** @var int  */
    protected $nrvagas;
    /** @var int  */
    protected $vrsalario;
    protected $nrestrutgeren;
    protected $nrocupacaodesejada;
    protected $nrtemplate;
    protected $nrtipoprocesso;
    protected $dslocalidade;
    protected $dtcancelamento;
    protected $dtsuspensao;
    protected $dtretorno;
    protected $nrprioridade;
    protected $dtconclusao;


    protected $dtprevistaadmissao;
    protected $nrtipovinculom;
    protected $nrvinculoempreg;
    protected $nrgrauinstr;
    protected $nrcpfpessoa;
    protected $nmpessoa;
    protected $nrvagasadmitidas = 0;

    public function getDslocalidade() {
        return $this->dslocalidade;
    }
    public function setDslocalidade($dslocalidade = NULL) {
        $this->dslocalidade = $dslocalidade;
    }

    public function setDtcancelamento ($dtcancelamento = NULL) {
        $this->dtcancelamento = $dtcancelamento;
    }

    public function setDtretorno($dtretorno = NULL) {
        $this->dtretorno = $dtretorno;
    }

    public function setDtsuspensao($dtsuspensao = NULL) {
        $this->dtsuspensao = $dtsuspensao;
    }

    public function getCdoperinclusao() {
        return $this->cdoperinclusao;
    }
	public function setCdoperinclusao($cdoperinclusao = NULL) {
        $this->cdoperinclusao = $cdoperinclusao;
    }
	public function getCdoperultatu() {
        return $this->cdoperultatu;
    }
	public function setCdoperultatu($cdoperultatu = NULL) {
        $this->cdoperultatu = $cdoperultatu;
    }
	public function getDscompetencias() {
        return $this->dscompetencias;
    }
	public function setDscompetencias($dscompetencias = NULL) {
        $this->dscompetencias = $dscompetencias;
    }
	public function getDsdescricao() {
        return $this->dsdescricao;
    }
	public function setDsdescricao($dsdescricao = NULL) {
        $this->dsdescricao = $dsdescricao;
    }
	public function getDsmotivo() {
        return $this->dsmotivo;
    }
	public function setDsmotivo($dsmotivo = NULL) {
        $this->dsmotivo = $dsmotivo;
    }
	public function getDtinclusao() {
        return $this->dtinclusao;
    }
	public function setDtinclusao(\Datetime $dtinclusao) {
        $this->dtinclusao = $dtinclusao;
    }
	public function getDtlimsolicita() {
        return $this->dtlimsolicita;
    }
	public function setDtlimsolicita(\Datetime $dtlimsolicita = NULL) {
        $this->dtlimsolicita = $dtlimsolicita;
    }
	public function getDtsolicita() {
        return $this->dtsolicita;
    }
	public function setDtsolicita(\Datetime $dtsolicita = NULL) {
        $this->dtsolicita = $dtsolicita;
    }
	public function getDtultatu() {
        return $this->dtultatu;
    }
	public function setDtultatu(\Datetime $dtultatu = NULL) {
        $this->dtultatu = $dtultatu;
    }
	public function getIdpublicavaga() {
        return $this->idpublicavaga;
    }
	public function setIdpublicavaga($idpublicavaga = NULL) {
        $this->idpublicavaga = $idpublicavaga;
    }
	public function getIdstatus() {
        return $this->idstatus;
    }
	public function setIdstatus($idstatus = NULL) {
        $this->idstatus = $idstatus;
    }
	public function getNmprocesso() {
        return $this->nmprocesso;
    }
	public function setNmprocesso($nmprocesso = NULL) {
        $this->nmprocesso = $nmprocesso;
    }
	public function getNrescalatrabm() {
        return $this->nrescalatrabm;
    }
	public function setNrescalatrabm($nrescalatrabm = NULL) {
        $this->nrescalatrabm = $nrescalatrabm;
    }
	public function getNrorginclusao() {
        return $this->nrorginclusao;
    }
	public function setNrorginclusao($nrorginclusao = NULL) {
        $this->nrorginclusao = $nrorginclusao;
    }
    public function getNrorg() {
        return $this->nrorg;
    }
    public function setNrorg($nrorg) {
        $this->nrorg = $nrorg;
    }
	public function getNrorgultatu() {
        return $this->nrorgultatu;
    }
	public function setNrorgultatu($nrorgultatu = NULL) {
        $this->nrorgultatu = $nrorgultatu;
    }
	public function getNrparcnegocioresp() {
        return $this->nrparcnegocioresp;
    }
	public function setNrparcnegocioresp($nrparcnegocioresp = NULL) {
        $this->nrparcnegocioresp = $nrparcnegocioresp;
    }
	public function getNrparcnegociosolicita() {
        return $this->nrparcnegociosolicita;
    }
	public function setNrparcnegociosolicita($nrparcnegociosolicita = NULL) {
        $this->nrparcnegociosolicita = $nrparcnegociosolicita;
    }
	public function getNrprocesso() {
        return $this->nrprocesso;
    }
	public function setNrprocesso($nrprocesso) {
        $this->nrprocesso = $nrprocesso;
    }
	public function getNrvagas() {
        return $this->nrvagas;
    }
	public function setNrvagas($nrvagas = NULL) {
        $this->nrvagas = $nrvagas;
    }
	public function getVrsalario() {
        return $this->vrsalario;
    }
	public function setVrsalario($vrsalario = NULL) {
        $this->vrsalario = $vrsalario;
    }
	public function getNrestrutgeren() {
        return $this->nrestrutgeren;
    }
	public function setNrestrutgeren($nrestrutgeren) {
        $this->nrestrutgeren = $nrestrutgeren;
    }
	public function getNrocupacaodesejada() {
        return $this->nrocupacaodesejada;
    }
	public function setNrocupacaodesejada($nrocupacaodesejada) {
        $this->nrocupacaodesejada = $nrocupacaodesejada;
    }
	public function getNrtemplate() {
        return $this->nrtemplate;
    }
	public function setNrtemplate($nrtemplate = NULL) {
        $this->nrtemplate = $nrtemplate;
    }
	public function getNrtipoprocesso() {
        return $this->nrtipoprocesso;
    }
	public function setNrtipoprocesso($nrtipoprocesso) {
        $this->nrtipoprocesso = $nrtipoprocesso;
    }
    public function setNrprioridade($nrprioridade) {
        $this->nrprioridade = $nrprioridade;
    }
    public function setDtconclusao($dtconclusao) {
        $this->dtconclusao = $dtconclusao;
    }
    public function getDtprevistaadmissao($dtprevistaadmissao) {
        return $this->$dtprevistaadmissao;
    }
    public function setDtprevistaadmissao($dtprevistaadmissao) {
        $this->$dtprevistaadmissao = $dtprevistaadmissao;
    }
    public function getNrtipovinculom($nrtipovinculom) {
        return $this->$nrtipovinculom;
    }
    public function setNrtipovinculom($nrtipovinculom) {
        $this->$nrtipovinculom = $nrtipovinculom;
    }
    public function getNrvinculoempreg($nrvinculoempreg) {
        return $this->$nrvinculoempreg;
    }
    public function setNrvinculoempreg($nrvinculoempreg) {
        $this->$nrvinculoempreg = $nrvinculoempreg;
    }
    public function getNrgrauinstr($nrgrauinstr) {
        return $this->$nrgrauinstr;
    }
    public function setNrgrauinstr($nrgrauinstr) {
        $this->$nrgrauinstr = $nrgrauinstr;
    }
    public function getNrcpfpessoa($nrcpfpessoa) {
        return $this->$nrcpfpessoa;
    }
    public function setNrcpfpessoa($nrcpfpessoa) {
        $this->$nrcpfpessoa = $nrcpfpessoa;
    }
    public function getNmpessoa($nmpessoa) {
        return $this->$nmpessoa;
    }
    public function setNmpessoa($nmpessoa) {
        $this->$nmpessoa = $nmpessoa;
    }
    public function getNrvagasadmitidas($nrvagasadmitidas) {
        return $this->$nrvagasadmitidas;
    }
    public function setNrvagasadmitidas($nrvagasadmitidas = 0) {
        $this->$nrvagasadmitidas = $nrvagasadmitidas;
    }
}